<xsl>
  <rule>
    <root/>
    <HTML>
      <BODY font-family = "Garamond, Times New Roman"
            background-color = "#EEEEEE">
        <CENTER>
        <H3><B>UML Model Infomation with 
          <A HREF = "http://www.yy.cs.keio.ac.jp/~suzuki/project/uxf/">
          UXF (UML eXcgange Format)</A>
        </B></H3>
        </CENTER>
        <HR/>
        <children/>
        <HR/>
        This document was created by Junichi Suzuki.
      </BODY>
    </HTML>
  </rule>

  <rule>
  <target-element type = "Package"/>
  <DIV font-family="Arial"
       background-color="teal"
       color="white"
       padding="4px">
    <H4>
      Package: <eval>getAttribute("NAME")</eval>
    </H4>
  </DIV>
  <BLOCKQUOTE>
  <children/>
  </BLOCKQUOTE>
  </rule>

  <rule>
  <target-element type = "ClassDiagram"/>
    <DIV font-family="Arial">
      <H4>Class Diagram</H4>
    </DIV>
    <BLOCKQUOTE>
    <children/>
    </BLOCKQUOTE>
  </rule>

  <rule>
  <target-element type = "Note"/>
  Note: <I><children/></I>
  </rule>

  <rule>
  <target-element type = "Class"/>
  <DIV font-family="Arial">
  <H4>
    Class: <eval>getAttribute("NAME")</eval>
  </H4>
  </DIV>
    <BLOCKQUOTE>
        Visibility: <eval>getAttribute("VISIBILITY")</eval>
      <children/>
    </BLOCKQUOTE>
  </rule>

  <rule>
  <element type = "Class">
    <target-element type = "Attribute"
                    position = "first-of-type"/>
  </element>
  <DIV font-family="Arial"
       font-weight="bold">
    attributes
  </DIV>
  <eval>getAttribute("VISIBILITY")</eval>, 
  <eval>getAttribute("NAME")</eval>: 
  <eval>getAttribute("TYPE")</eval><BR/>
  </rule>

  <rule>
  <target-element type = "Attribute"/>
  <eval>getAttribute("VISIBILITY")</eval>, 
  <eval>getAttribute("NAME")</eval>: 
  <eval>getAttribute("TYPE")</eval><BR/>
  </rule>

  <rule>
  <element type = "Class">
    <target-element type = "Operation"
                    position = "first-of-type"/>
  </element>
  <DIV font-family="Arial"
       font-weight="bold">
    operations
  </DIV>
  <eval>getAttribute("VISIBILITY")</eval>, 
  <eval>getAttribute("NAME")</eval> ( <children/> ): 
  <eval>getAttribute("RETURN")</eval><BR/>
  </rule>

  <rule>
  <target-element type = "Operation"/>
  <eval>getAttribute("VISIBILITY")</eval>, 
  <eval>getAttribute("NAME")</eval> ( <children/> ): 
  <eval>getAttribute("RETURN")</eval><BR/>
  </rule>

  <rule>
  <target-element type = "Parameter"/>
  <eval>getAttribute("NAME")</eval>: 
  <eval>getAttribute("TYPE")</eval>, 
  </rule>

</xsl>